"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.permainkPinyinPlugin = void 0;
const core_1 = require("@vuepress-denaro/core");
const transliteration_1 = require("transliteration");
const permainkPinyinPlugin = (options) => {
    const pluginObj = {
        name: `${core_1.pluginNamePrefix}permaink-pinyin`,
        extendsPage: (page) => {
            const pathArr = decodeURIComponent(page.path).split('/');
            const mergeOptions = Object.assign({}, options, { ignore: ['/', '.'] });
            page.path = page.pathInferred = pathArr
                .map((str) => (0, transliteration_1.slugify)(str, mergeOptions))
                .join('/');
        },
    };
    return pluginObj;
};
exports.permainkPinyinPlugin = permainkPinyinPlugin;
